## ragel 3.5

=== examples/Makefile ===
#
#   Copyright 2002-2003 Adrian Thurston <adriant@ragel.ca>
#

#   This file is part of Ragel.
#
#   Ragel is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   Ragel is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with Ragel; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 


SUBDIRS = \
	atoi awkemu clang concurrent format gotocallret mailbox params rlscan statechart

all:
	@for dir in $(SUBDIRS); do cd $$dir; $(MAKE) || exit 1; cd ..; done

ps:
	@for dir in $(SUBDIRS); do cd $$dir; $(MAKE) ps || exit 1; cd ..; done

clean:
	@for dir in $(SUBDIRS); do cd $$dir; $(MAKE) clean || exit 1; cd ..; done

distclean:
	@for dir in $(SUBDIRS); do cd $$dir; $(MAKE) distclean || exit 1; cd ..; done

=== test/Makefile ===
#
#   Copyright 2002 Adrian Thurston <adriant@ragel.ca>
#

#   This file is part of Ragel.
#
#   Ragel is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   Ragel is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with Ragel; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 

SUBDIRS = \
	atoi1 atoi2 awkemu builtin call1 call2 clang concurrent element1 element2 \
	erract1 erract2 erract3 errintrans forder1 forder2 forder3 gotocallret \
	high1 high2 ifaceret1 ifaceret2 keller1 mailbox minimize1 range repetition \
	strings1 strings2

all:
	@for dir in $(SUBDIRS); do cd $$dir; $(MAKE) || exit 1; cd ..; done

test:
	@for dir in $(SUBDIRS); do cd $$dir; $(MAKE) test || exit 1; cd ..; done

clean:
	@for dir in $(SUBDIRS); do cd $$dir; $(MAKE) clean || exit 1; cd ..; done

distclean:
	@for dir in $(SUBDIRS); do cd $$dir; $(MAKE) distclean || exit 1; cd ..; done
	rm -f rules.mk

=== test/atoi1/Makefile ===

PLANG = C++
TEST = atoi1.rl

PFLAGS = -I../../aapl
CFLAGS = -pedantic -ansi -Wall -O3
LDFLAGS = 
RLFLAGS = 

include ../rules.mk

=== test/atoi2/Makefile ===

PLANG = C++
TEST = atoi2.rl

PFLAGS = -I../../aapl
CFLAGS = -pedantic -ansi -Wall -O3
LDFLAGS = 
RLFLAGS = 

include ../rules.mk

=== test/awkemu/Makefile ===

PLANG = C
TEST = awkemu.rl

PFLAGS = 
CFLAGS = -pedantic -ansi -Wall -O3
LDFLAGS = 
RLFLAGS = 

include ../rules.mk

=== test/builtin/Makefile ===

PLANG = C
TEST = builtin.rl

PFLAGS = 
CFLAGS = -pedantic -ansi -Wall -O3
LDFLAGS = 
RLFLAGS = 

include ../rules.mk

=== test/call1/Makefile ===

PLANG = C
TEST = call1.rl

PFLAGS = 
CFLAGS = -pedantic -ansi -Wall -O3
LDFLAGS = 
RLFLAGS = 

include ../rules.mk

=== test/call2/Makefile ===

PLANG = C++
TEST = call2.rl

PFLAGS = 
CFLAGS = -pedantic -ansi -Wall -O3
LDFLAGS = 
RLFLAGS = 

include ../rules.mk

=== test/clang/Makefile ===

PLANG = C
TEST = clang.rl

PFLAGS = 
CFLAGS = -pedantic -ansi -Wall -O3
LDFLAGS = 
RLFLAGS = 

include ../rules.mk

=== test/concurrent/Makefile ===

PLANG = C++
TEST = concurrent.rl

PFLAGS = -I../../aapl
CFLAGS = -pedantic -ansi -Wall -O3
LDFLAGS = 
RLFLAGS = 

include ../rules.mk

=== test/element1/Makefile ===

PLANG = C++
TEST = element1.rl

PFLAGS = -I../../aapl
CFLAGS = -pedantic -ansi -Wall -O3
LDFLAGS = 
RLFLAGS = 

include ../rules.mk

=== test/element2/Makefile ===

PLANG = C
TEST = element2.rl

PFLAGS = -I../../aapl
CFLAGS = -pedantic -ansi -Wall -O3
LDFLAGS = 
RLFLAGS = 

include ../rules.mk

## ragel 3.7

=== test/Makefile ===
--- 
+++ 
@@ -19,10 +19,11 @@
 #   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 
 SUBDIRS = \
-	atoi1 atoi2 awkemu builtin call1 call2 clang concurrent element1 element2 \
-	erract1 erract2 erract3 errintrans forder1 forder2 forder3 gotocallret \
-	high1 high2 ifaceret1 ifaceret2 keller1 mailbox minimize1 range repetition \
-	strings1 strings2
+	atoi1 atoi2 awkemu builtin call1 call2 call3 clang1 clang2 concurrent \
+	cppscan1 cppscan2 curs1 curs2 curs3 element1 element2 element3 erract1 \
+	erract2 erract3 erract4 errintrans forder1 forder2 forder3 gotocallret \
+	high1 high2 high3 ifaceret1 ifaceret2 ifaceret3 keller1 mailbox minimize1 \
+	range repetition strings1 strings2 \
 
 all:
 	@for dir in $(SUBDIRS); do cd $$dir; $(MAKE) || exit 1; cd ..; done

=== examples/atoi/Makefile ===
RAGEL = ../../ragel

all: atoi

ps: atoi.ps

atoi: atoi.o
	g++ -g -o atoi atoi.o 

atoi.cpp: atoi.rl $(RAGEL)
	$(RAGEL) -m -G2 -C -o atoi.cpp atoi.rl

atoi.o: atoi.cpp
	g++ -Wall -g -c -O3 -o $@ $<

atoi.ps: atoi.rl $(RAGEL)
	$(RAGEL) -Vm atoi.rl | dot -Tps > atoi.ps

distclean clean:
	rm -Rf *.o atoi.cpp atoi atoi.ps

=== examples/awkemu/Makefile ===
RAGEL = ../../ragel

all: awkemu

ps: awkemu.ps

awkemu: awkemu.o
	gcc -g -o awkemu awkemu.o

awkemu.c: awkemu.rl $(RAGEL)
	$(RAGEL) -G2 -o awkemu.c awkemu.rl

awkemu.ps: awkemu.rl $(RAGEL)
	$(RAGEL) -Vm awkemu.rl | dot -Tps > awkemu.ps

%.o: %.c
	gcc -Wall -g -c -O3 -o $@ $<

distclean clean:
	rm -Rf *.o awkemu.c awkemu awkemu.ps

=== examples/clang/Makefile ===
RAGEL = ../../ragel

all: clang

ps: clang.ps

clang: clang.o 
	gcc -g -o clang clang.o

clang.c: clang.rl $(RAGEL)
	$(RAGEL) -G2 -o clang.c clang.rl

clang.ps: clang.rl $(RAGEL)
	$(RAGEL) -Vm clang.rl | dot -Tps > clang.ps

%.o: %.c
	gcc -Wall -O3 -g -c -o $@ $<

distclean clean:
	rm -Rf *.o clang.c clang clang.ps

=== examples/concurrent/Makefile ===
RAGEL = ../../ragel

all: concurrent

ps: concurrent.ps

concurrent: concurrent.o
	g++ -g -o concurrent concurrent.o 

concurrent.cpp: concurrent.rl $(RAGEL)
	$(RAGEL) -G2 -C -o concurrent.cpp concurrent.rl

concurrent.ps: concurrent.rl $(RAGEL)
	$(RAGEL) -Vm concurrent.rl | dot -Tps > concurrent.ps

%.o: %.cpp
	g++ -Wall -g -c -O3 -o $@ $<

distclean clean:
	rm -Rf *.o concurrent.cpp concurrent concurrent.ps

=== examples/cppscan/Makefile ===
RAGEL = ../../ragel
FLEX = flex
RE2C = re2c

CFLAGS = -Wall -g -O3

all: cppscan lex-cppscan re2c-cppscan

ps: cppscan.ps

cppscan: cppscan.o
	g++ -g -o $@ $<

lex-cppscan: lex-cppscan.o
	g++ -g -o $@ $<
	
re2c-cppscan: re2c-cppscan.o
	g++ -g -o $@ $<
	
cppscan.cpp: cppscan.rl $(RAGEL)
	$(RAGEL) -G2 -C -o $@ cppscan.rl

lex-cppscan.cpp: cppscan.lex
	$(FLEX) -f -o $@ $<

re2c-cppscan.cpp: cppscan.rec
	$(RE2C) -s $< > $@

example.cpp: example.rec
	$(RE2C) -s $< > $@

%.o: %.cpp
	g++ $(CFLAGS) -c -o $@ $<

cppscan.ps: cppscan.rl $(RAGEL)
	$(RAGEL) -Vm cppscan.rl | dot -Tps > cppscan.ps

distclean clean:
	rm -Rf *.o cppscan.cpp cppscan cppscan.ps \
		lex-cppscan lex-cppscan.cpp re2c-cppscan re2c-cppscan.cpp

=== examples/format/Makefile ===
RAGEL = ../../ragel

all: format

ps: format.ps

format: format.o 
	gcc -g -o format format.o

format.c: format.rl $(RAGEL)
	$(RAGEL) -T0 -o format.c format.rl

format.ps: format.rl $(RAGEL)
	$(RAGEL) -Vm format.rl | dot -Tps > format.ps

%.o: %.c
	gcc -Wall -O3 -g -c -o $@ $<

distclean clean:
	rm -Rf *.o format.c format format.ps

=== examples/gotocallret/Makefile ===
RAGEL = ../../ragel

all: gotocallret

ps: gotocallret.ps

gotocallret: gotocallret.o
	g++ -g -o gotocallret gotocallret.o 

gotocallret.cpp: gotocallret.rl $(RAGEL)
	$(RAGEL) -m -G2 -C -o gotocallret.cpp gotocallret.rl

gotocallret.o: gotocallret.cpp
	g++ -Wall -g -c -O3 -o $@ $<

gotocallret.ps: gotocallret.rl $(RAGEL)
	$(RAGEL) -Vm gotocallret.rl | dot -Tps > gotocallret.ps

distclean clean:
	rm -Rf *.o gotocallret.cpp gotocallret gotocallret.ps

=== examples/mailbox/Makefile ===
RAGEL = ../../ragel

all: mailbox

ps: mailbox.ps

mailbox: mailbox.o
	g++ -g -o mailbox mailbox.o 

mailbox.cpp: mailbox.rl $(RAGEL)
	$(RAGEL) -G2 -C -o mailbox.cpp mailbox.rl

%.o: %.cpp
	g++ -Wall -g -c -O3 -o $@ $<

mailbox.ps: mailbox.rl $(RAGEL)
	$(RAGEL) -Vm mailbox.rl | dot -Tps > mailbox.ps

distclean clean:
	rm -Rf *.o mailbox.cpp mailbox mailbox.ps

=== examples/params/Makefile ===
RAGEL = ../../ragel

all: params

ps: params.ps

params: params.o 
	gcc -g -o params params.o

params.c: params.rl $(RAGEL)
	$(RAGEL) -m -G2 -o params.c params.rl

params.ps: params.rl $(RAGEL)
	$(RAGEL) -Vm params.rl | dot -Tps > params.ps

%.o: %.c
	gcc -Wall -O3 -g -c -o $@ $<

distclean clean:
	rm -Rf *.o params.c params params.ps

=== examples/rlscan/Makefile ===
RAGEL = ../../ragel

all: rlscan

ps: rlscan.ps

rlscan: rlscan.o
	g++ -g -o rlscan rlscan.o 

rlscan.cpp: rlscan.rl $(RAGEL)
	$(RAGEL) -G2 -C -o rlscan.cpp rlscan.rl

%.o: %.cpp
	g++ -Wall -g -c -O3 -o $@ $<

rlscan.ps: rlscan.rl $(RAGEL)
	$(RAGEL) -V rlscan.rl | dot -Tps > rlscan.ps

distclean clean:
	rm -Rf *.o rlscan.cpp rlscan rlscan.ps

=== examples/statechart/Makefile ===
RAGEL = ../../ragel

all: statechart

ps: statechart.ps

statechart: statechart.o
	g++ -g -o statechart statechart.o 

statechart.cpp: statechart.rl $(RAGEL)
	$(RAGEL) -m -G2 -C -o statechart.cpp statechart.rl

statechart.o: statechart.cpp
	g++ -Wall -g -c -O3 -o $@ $<

statechart.ps: statechart.rl $(RAGEL)
	$(RAGEL) -Vm statechart.rl | dot -Tps > statechart.ps

distclean clean:
	rm -Rf *.o statechart.cpp statechart statechart.ps

## ragel 4.1

=== test/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#   Copyright 2002 Adrian Thurston <adriant@ragel.ca>
+#   Copyright 2002 Adrian Thurston <thurston@cs.queensu.ca>
 #
 
 #   This file is part of Ragel.

## ragel 5.1

=== examples/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#   Copyright 2002-2003 Adrian Thurston <adriant@ragel.ca>
+#   Copyright 2002-2003 Adrian Thurston <thurston@cs.queensu.ca>
 #
 
 #   This file is part of Ragel.

=== examples/atoi/Makefile ===
RAGEL = ../../ragel/ragel
RLCODEGEN = ../../rlcodegen/rlcodegen

all: atoi

ps: atoi.ps

atoi: atoi.o
	g++ -g -o atoi atoi.o 

atoi.cpp: atoi.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) atoi.rl | $(RLCODEGEN) -G2 -C -o atoi.cpp

atoi.o: atoi.cpp
	g++ -Wall -g -c -O3 -o $@ $<

atoi.ps: atoi.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) atoi.rl | $(RLCODEGEN) -V | dot -Tps > atoi.ps

distclean clean:
	rm -Rf *.o atoi.cpp atoi atoi.ps

=== examples/awkemu/Makefile ===
RAGEL = ../../ragel/ragel
RLCODEGEN = ../../rlcodegen/rlcodegen

all: awkemu

ps: awkemu.ps

awkemu: awkemu.o
	gcc -g -o awkemu awkemu.o

awkemu.c: awkemu.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) awkemu.rl | $(RLCODEGEN) -G2 -o awkemu.c

awkemu.ps: awkemu.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) awkemu.rl | $(RLCODEGEN) -V | dot -Tps > awkemu.ps

%.o: %.c
	gcc -Wall -g -c -O3 -o $@ $<

distclean clean:
	rm -Rf *.o awkemu.c awkemu awkemu.ps

=== examples/clang/Makefile ===
RAGEL = ../../ragel/ragel
RLCODEGEN = ../../rlcodegen/rlcodegen

all: clang

ps: clang.ps

clang: clang.o 
	gcc -g -o clang clang.o

clang.c: clang.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) clang.rl | $(RLCODEGEN) -G2 -o clang.c

clang.ps: clang.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) clang.rl | $(RLCODEGEN) -V | dot -Tps > clang.ps

%.o: %.c
	gcc -Wall -O3 -g -c -o $@ $<

distclean clean:
	rm -Rf *.o clang.c clang clang.ps

=== examples/gotocallret/Makefile ===
RAGEL = ../../ragel/ragel
RLCODEGEN = ../../rlcodegen/rlcodegen

all: gotocallret

ps: gotocallret.ps

gotocallret: gotocallret.o
	g++ -g -o gotocallret gotocallret.o 

gotocallret.cpp: gotocallret.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) gotocallret.rl | $(RLCODEGEN) -G2 -C -o gotocallret.cpp

gotocallret.o: gotocallret.cpp
	g++ -Wall -g -c -O3 -o $@ $<

gotocallret.ps: gotocallret.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) gotocallret.rl | $(RLCODEGEN) -V | dot -Tps > gotocallret.ps

distclean clean:
	rm -Rf *.o gotocallret.cpp gotocallret gotocallret.ps

=== test/atoi1/Makefile ===

PLANG = C++
TEST = atoi1.rl

PFLAGS = -I../../aapl
CFLAGS = -pedantic -ansi -Wall -O3
RLFLAGS = 

include ../rules.mk

=== test/atoi3/Makefile ===

PLANG = D
TEST = atoi3.rl

PFLAGS =
DFLAGS = -frelease -O3 -Wall
RLFLAGS = 

include ../rules.mk

=== test/call1/Makefile ===

PLANG = C
TEST = call1.rl

PFLAGS = 
CFLAGS = -pedantic -ansi -Wall -O3
RLFLAGS = 

include ../rules.mk

=== test/call3/Makefile ===

PLANG = ObjC
TEST = call3.rl

PFLAGS = 
CFLAGS = -Wall -O3 -fno-strict-aliasing -lobjc
RLFLAGS = 

include ../rules.mk

=== test/clang2/Makefile ===

PLANG = ObjC
TEST = clang2.rl

PFLAGS = 
CFLAGS = -Wall -O3 -fno-strict-aliasing -lobjc
RLFLAGS = 

include ../rules.mk

=== test/concurrent/Makefile ===

PLANG = C++
TEST = concurrent.rl

PFLAGS = -I../../aapl
CFLAGS = -pedantic -ansi -Wall -O3
RLFLAGS = 

include ../rules.mk

=== test/cppscan1/Makefile ===

PLANG = C++
TEST = cppscan1.rl

PFLAGS = -I../../aapl
CFLAGS = -pedantic -ansi -Wall -O3
RLFLAGS = 

include ../rules.mk

## ragel 5.7

=== examples/awkemu/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	$(RAGEL) awkemu.rl | $(RLCODEGEN) -V | dot -Tps > awkemu.ps
 
 %.o: %.c
-	gcc -Wall -g -c -O3 -o $@ $<
+	gcc -pedantic -Wall -g -c -O3 -o $@ $<
 
 distclean clean:
 	rm -Rf *.o awkemu.c awkemu awkemu.ps

=== examples/clang/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	$(RAGEL) clang.rl | $(RLCODEGEN) -V | dot -Tps > clang.ps
 
 %.o: %.c
-	gcc -Wall -O3 -g -c -o $@ $<
+	gcc -pedantic -Wall -O3 -g -c -o $@ $<
 
 distclean clean:
 	rm -Rf *.o clang.c clang clang.ps

=== examples/concurrent/Makefile ===
RAGEL = ../../ragel/ragel
RLCODEGEN = ../../rlcodegen/rlcodegen

all: concurrent

ps: concurrent.ps

concurrent: concurrent.o
	g++ -g -o concurrent concurrent.o 

concurrent.cpp: concurrent.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) concurrent.rl | $(RLCODEGEN) -G2 -C -o concurrent.cpp

concurrent.ps: concurrent.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) concurrent.rl | $(RLCODEGEN) -V | dot -Tps > concurrent.ps

%.o: %.cpp
	g++ -Wall -g -c -O3 -o $@ $<

distclean clean:
	rm -Rf *.o concurrent.cpp concurrent concurrent.ps

=== examples/cppscan/Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-RAGEL = ../../ragel
+RAGEL = ../../ragel/ragel
+RLCODEGEN = ../../rlcodegen/rlcodegen
 FLEX = flex
 RE2C = re2c
 
@@ -17,8 +18,8 @@
 re2c-cppscan: re2c-cppscan.o
 	g++ -g -o $@ $<
 	
-cppscan.cpp: cppscan.rl $(RAGEL)
-	$(RAGEL) -G2 -C -o $@ cppscan.rl
+cppscan.cpp: cppscan.rl $(RAGEL) $(RLCODEGEN)
+	$(RAGEL) cppscan.rl | $(RLCODEGEN) -G2 -C -o $@
 
 lex-cppscan.cpp: cppscan.lex
 	$(FLEX) -f -o $@ $<
@@ -32,8 +33,8 @@
 %.o: %.cpp
 	g++ $(CFLAGS) -c -o $@ $<
 
-cppscan.ps: cppscan.rl $(RAGEL)
-	$(RAGEL) -Vm cppscan.rl | dot -Tps > cppscan.ps
+cppscan.ps: cppscan.rl $(RAGEL) $(RLCODEGEN)
+	$(RAGEL) cppscan.rl | $(RLCODEGEN) -V | dot -Tps > cppscan.ps
 
 distclean clean:
 	rm -Rf *.o cppscan.cpp cppscan cppscan.ps \

=== examples/format/Makefile ===
RAGEL = ../../ragel/ragel
RLCODEGEN = ../../rlcodegen/rlcodegen

all: format

ps: format.ps

format: format.o 
	gcc -g -o format format.o

format.c: format.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) format.rl | $(RLCODEGEN) -G2 -o format.c

format.ps: format.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) format.rl | $(RLCODEGEN) -V | dot -Tps > format.ps

%.o: %.c
	gcc -Wall -O3 -g -c -o $@ $<

distclean clean:
	rm -Rf *.o format.c format format.ps

=== examples/mailbox/Makefile ===
RAGEL = ../../ragel/ragel
RLCODEGEN = ../../rlcodegen/rlcodegen

all: mailbox

mailbox: mailbox.o
	g++ -g -o mailbox mailbox.o 

mailbox.cpp: mailbox.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) mailbox.rl | $(RLCODEGEN) -G2 -C -o mailbox.cpp

%.o: %.cpp
	g++ -Wall -g -c -O3 -o $@ $<

distclean clean:
	rm -Rf *.o mailbox.cpp mailbox mailbox.ps

=== examples/rlscan/Makefile ===
RAGEL = ../../ragel/ragel
RLCODEGEN = ../../rlcodegen/rlcodegen

all: rlscan

ps: rlscan.ps

rlscan: rlscan.o
	g++ -g -o rlscan rlscan.o 

rlscan.cpp: rlscan.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) rlscan.rl | $(RLCODEGEN) -G2 -C -o rlscan.cpp

%.o: %.cpp
	g++ -Wall -g -c -O3 -o $@ $<

rlscan.ps: rlscan.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) rlscan.rl | $(RLCODEGEN) -V | dot -Tps > rlscan.ps

distclean clean:
	rm -Rf *.o rlscan.cpp rlscan rlscan.ps

=== examples/statechart/Makefile ===
RAGEL = ../../ragel/ragel
RLCODEGEN = ../../rlcodegen/rlcodegen

all: statechart

ps: statechart.ps

statechart: statechart.o
	g++ -g -o statechart statechart.o 

statechart.cpp: statechart.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) statechart.rl | $(RLCODEGEN) -G2 -C -o statechart.cpp

statechart.o: statechart.cpp
	g++ -Wall -g -c -O3 -o $@ $<

statechart.ps: statechart.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) statechart.rl | $(RLCODEGEN) -V | dot -Tps > statechart.ps

distclean clean:
	rm -Rf *.o statechart.cpp statechart statechart.ps

=== test/builtin/Makefile ===

PLANG = C
TEST = builtin.rl

PFLAGS = 
CFLAGS = -pedantic -ansi -Wall -O3
RLFLAGS = 

include ../rules.mk

=== test/clang3/Makefile ===

PLANG = D
TEST = clang3.rl

PFLAGS = 
DFLAGS = -frelease -O3 -Wall
RLFLAGS = 

include ../rules.mk

=== test/cond1/Makefile ===

PLANG = C++
TEST = cond1.rl

PFLAGS =
CFLAGS = -pedantic -ansi -Wall -O3
RLFLAGS = 

include ../rules.mk

=== test/cond2/Makefile ===

PLANG = C++
TEST = cond2.rl

PFLAGS =
CFLAGS = -pedantic -ansi -Wall -O3
RLFLAGS = 

include ../rules.mk

## ragel 5.14

=== examples/Makefile ===
--- 
+++ 
@@ -20,7 +20,8 @@
 
 
 SUBDIRS = \
-	atoi awkemu clang concurrent format gotocallret mailbox params rlscan statechart
+	atoi awkemu clang concurrent format gotocallret mailbox params rlscan \
+	statechart cppscan
 
 all:
 	@for dir in $(SUBDIRS); do cd $$dir; $(MAKE) || exit 1; cd ..; done

=== examples/atoi/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	g++ -g -o atoi atoi.o 
 
 atoi.cpp: atoi.rl $(RAGEL) $(RLCODEGEN)
-	$(RAGEL) atoi.rl | $(RLCODEGEN) -G2 -C -o atoi.cpp
+	$(RAGEL) atoi.rl | $(RLCODEGEN) -G2 -o atoi.cpp
 
 atoi.o: atoi.cpp
 	g++ -Wall -g -c -O3 -o $@ $<

=== examples/cppscan/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	g++ -g -o $@ $<
 	
 cppscan.cpp: cppscan.rl $(RAGEL) $(RLCODEGEN)
-	$(RAGEL) cppscan.rl | $(RLCODEGEN) -G2 -C -o $@
+	$(RAGEL) cppscan.rl | $(RLCODEGEN) -G2 -o $@
 
 lex-cppscan.cpp: cppscan.lex
 	$(FLEX) -f -o $@ $<

=== examples/mailbox/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	g++ -g -o mailbox mailbox.o 
 
 mailbox.cpp: mailbox.rl $(RAGEL) $(RLCODEGEN)
-	$(RAGEL) mailbox.rl | $(RLCODEGEN) -G2 -C -o mailbox.cpp
+	$(RAGEL) mailbox.rl | $(RLCODEGEN) -G2 -o mailbox.cpp
 
 %.o: %.cpp
 	g++ -Wall -g -c -O3 -o $@ $<

=== examples/rlscan/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	g++ -g -o rlscan rlscan.o 
 
 rlscan.cpp: rlscan.rl $(RAGEL) $(RLCODEGEN)
-	$(RAGEL) rlscan.rl | $(RLCODEGEN) -G2 -C -o rlscan.cpp
+	$(RAGEL) rlscan.rl | $(RLCODEGEN) -G2 -o rlscan.cpp
 
 %.o: %.cpp
 	g++ -Wall -g -c -O3 -o $@ $<

=== examples/statechart/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	g++ -g -o statechart statechart.o 
 
 statechart.cpp: statechart.rl $(RAGEL) $(RLCODEGEN)
-	$(RAGEL) statechart.rl | $(RLCODEGEN) -G2 -C -o statechart.cpp
+	$(RAGEL) statechart.rl | $(RLCODEGEN) -G2 -o statechart.cpp
 
 statechart.o: statechart.cpp
 	g++ -Wall -g -c -O3 -o $@ $<

## ragel 5.16

=== examples/concurrent/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	g++ -g -o concurrent concurrent.o 
 
 concurrent.cpp: concurrent.rl $(RAGEL) $(RLCODEGEN)
-	$(RAGEL) concurrent.rl | $(RLCODEGEN) -G2 -C -o concurrent.cpp
+	$(RAGEL) concurrent.rl | $(RLCODEGEN) -G2 -o concurrent.cpp
 
 concurrent.ps: concurrent.rl $(RAGEL) $(RLCODEGEN)
 	$(RAGEL) concurrent.rl | $(RLCODEGEN) -V | dot -Tps > concurrent.ps

=== examples/gotocallret/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	g++ -g -o gotocallret gotocallret.o 
 
 gotocallret.cpp: gotocallret.rl $(RAGEL) $(RLCODEGEN)
-	$(RAGEL) gotocallret.rl | $(RLCODEGEN) -G2 -C -o gotocallret.cpp
+	$(RAGEL) gotocallret.rl | $(RLCODEGEN) -G2 -o gotocallret.cpp
 
 gotocallret.o: gotocallret.cpp
 	g++ -Wall -g -c -O3 -o $@ $<

=== examples/params/Makefile ===
RAGEL = ../../ragel/ragel
RLCODEGEN = ../../rlcodegen/rlcodegen

all: params

ps: params.ps

params: params.o 
	gcc -g -o params params.o

params.c: params.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) params.rl | $(RLCODEGEN) -G2 -o params.c

params.ps: params.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) params.rl | $(RLCODEGEN) -V | dot -Tps > params.ps

%.o: %.c
	gcc -Wall -O3 -g -c -o $@ $<

distclean clean:
	rm -Rf *.o params.c params params.ps

## ragel 5.23

=== examples/Makefile ===
#
#   Copyright 2002-2007 Adrian Thurston <thurston@cs.queensu.ca>
#

#   This file is part of Ragel.
#
#   Ragel is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   Ragel is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with Ragel; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 

RAGEL = ../ragel/ragel
RLCODEGEN = ../rlgen-cd/rlgen-cd
FLEX = flex
RE2C = re2c
CFLAGS = -Wall -g -O3

TARGS = \
	atoi awkemu clang concurrent cppscan format gotocallret mailbox params \
	pullscan rlscan statechart 

#########################################

all: $(TARGS)

distclean clean:
	rm -Rf *.o *.c *.cpp $(TARGS)

%.o: %.c
	gcc $(CFLAGS) -Wall -g -c -O3 -o $@ $<

%.o: %.cpp
	g++ $(CFLAGS) -Wall -g -c -O3 -o $@ $<

#########################################

gotocallret: gotocallret.o
	g++ -g -o gotocallret gotocallret.o 

gotocallret.cpp: gotocallret.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) gotocallret.rl | $(RLCODEGEN) -G2 -o gotocallret.cpp

gotocallret.o: gotocallret.cpp
	g++ -Wall -g -c -O3 -o $@ $<


pullscan: pullscan.o
	gcc -g -o $@ $<

pullscan.c: pullscan.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) pullscan.rl | $(RLCODEGEN) -G2 -o $@

concurrent: concurrent.o
	g++ -g -o concurrent concurrent.o 

concurrent.cpp: concurrent.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) concurrent.rl | $(RLCODEGEN) -G2 -o concurrent.cpp

rlscan: rlscan.o
	g++ -g -o rlscan rlscan.o 

rlscan.cpp: rlscan.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) rlscan.rl | $(RLCODEGEN) -G2 -o rlscan.cpp

statechart: statechart.o
	g++ -g -o statechart statechart.o 

statechart.cpp: statechart.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) statechart.rl | $(RLCODEGEN) -G2 -o statechart.cpp

statechart.o: statechart.cpp
	g++ -Wall -g -c -O3 -o $@ $<

params: params.o 
	gcc -g -o params params.o

params.c: params.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) params.rl | $(RLCODEGEN) -G2 -o params.c

clang: clang.o 
	gcc -g -o clang clang.o

clang.c: clang.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) clang.rl | $(RLCODEGEN) -G2 -o clang.c

optional: lex-cppscan re2c-cppscan

cppscan: cppscan.o
	g++ -g -o $@ $<

lex-cppscan: lex-cppscan.o
	g++ -g -o $@ $<
	
re2c-cppscan: re2c-cppscan.o
	g++ -g -o $@ $<
	
cppscan.cpp: cppscan.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) cppscan.rl | $(RLCODEGEN) -G2 -o $@

lex-cppscan.cpp: cppscan.lex
	$(FLEX) -f -o $@ $<

re2c-cppscan.cpp: cppscan.rec
	$(RE2C) -s $< > $@

example.cpp: example.rec
	$(RE2C) -s $< > $@

format: format.o 
	gcc -g -o format format.o

format.c: format.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) format.rl | $(RLCODEGEN) -G2 -o format.c

awkemu: awkemu.o
	gcc -g -o awkemu awkemu.o

awkemu.c: awkemu.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) awkemu.rl | $(RLCODEGEN) -G2 -o awkemu.c


mailbox: mailbox.o
	g++ -g -o mailbox mailbox.o 

mailbox.cpp: mailbox.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) mailbox.rl | $(RLCODEGEN) -G2 -o mailbox.cpp

atoi: atoi.o
	g++ -g -o atoi atoi.o 

atoi.cpp: atoi.rl $(RAGEL) $(RLCODEGEN)
	$(RAGEL) atoi.rl | $(RLCODEGEN) -G2 -o atoi.cpp

atoi.o: atoi.cpp
	g++ -Wall -g -c -O3 -o $@ $<

## ragel 6.3

=== examples/Makefile ===
#
#   Copyright 2002-2007 Adrian Thurston <thurston@cs.queensu.ca>
#

#   This file is part of Ragel.
#
#   Ragel is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   Ragel is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with Ragel; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 

RAGEL = ../ragel/ragel
FLEX = flex
RE2C = re2c
CFLAGS = -Wall -g -O3

TARGS = \
	atoi awkemu clang concurrent cppscan format gotocallret mailbox params \
	pullscan rlscan statechart 

#########################################

all: $(TARGS)

distclean clean:
	rm -Rf *.o *.c *.cpp $(TARGS)

%.o: %.c
	gcc $(CFLAGS) -Wall -g -c -O3 -o $@ $<

%.o: %.cpp
	g++ $(CFLAGS) -Wall -g -c -O3 -o $@ $<

#########################################

gotocallret: gotocallret.o
	g++ -g -o gotocallret gotocallret.o 

gotocallret.cpp: gotocallret.rl
	$(RAGEL) -G2 -o gotocallret.cpp gotocallret.rl 

gotocallret.o: gotocallret.cpp
	g++ -Wall -g -c -O3 -o $@ $<


pullscan: pullscan.o
	gcc -g -o $@ $<

pullscan.c: pullscan.rl $(RAGEL) 
	$(RAGEL) -G2 -o $@ pullscan.rl

concurrent: concurrent.o
	g++ -g -o concurrent concurrent.o 

concurrent.cpp: concurrent.rl $(RAGEL)
	$(RAGEL) -G2 -o concurrent.cpp concurrent.rl

rlscan: rlscan.o
	g++ -g -o rlscan rlscan.o 

rlscan.cpp: rlscan.rl 
	$(RAGEL) -G2 -o rlscan.cpp rlscan.rl

statechart: statechart.o
	g++ -g -o statechart statechart.o 

statechart.cpp: statechart.rl 
	$(RAGEL) -G2 -o statechart.cpp statechart.rl

statechart.o: statechart.cpp
	g++ -Wall -g -c -O3 -o $@ $<

params: params.o 
	gcc -g -o params params.o

params.c: params.rl
	$(RAGEL) -G2 -o params.c params.rl

clang: clang.o 
	gcc -g -o clang clang.o

clang.c: clang.rl 
	$(RAGEL) -G2 -o clang.c clang.rl

optional: lex-cppscan re2c-cppscan

cppscan: cppscan.o
	g++ -g -o $@ $<

lex-cppscan: lex-cppscan.o
	g++ -g -o $@ $<
	
re2c-cppscan: re2c-cppscan.o
	g++ -g -o $@ $<
	
cppscan.cpp: cppscan.rl 
	$(RAGEL) -G2 -o $@ cppscan.rl

lex-cppscan.cpp: cppscan.lex
	$(FLEX) -f -o $@ $<

re2c-cppscan.cpp: cppscan.rec
	$(RE2C) -s $< > $@

example.cpp: example.rec
	$(RE2C) -s $< > $@

format: format.o 
	gcc -g -o format format.o

format.c: format.rl
	$(RAGEL) -G2 -o format.c format.rl

awkemu: awkemu.o
	gcc -g -o awkemu awkemu.o

awkemu.c: awkemu.rl
	$(RAGEL) -G2 -o awkemu.c awkemu.rl


mailbox: mailbox.o
	g++ -g -o mailbox mailbox.o 

mailbox.cpp: mailbox.rl
	$(RAGEL) -G2 -o mailbox.cpp mailbox.rl

atoi: atoi.o
	g++ -g -o atoi atoi.o 

atoi.cpp: atoi.rl
	$(RAGEL) -G2 -o atoi.cpp atoi.rl

atoi.o: atoi.cpp
	g++ -Wall -g -c -O3 -o $@ $<

## ragel 6.10

=== debian/changelog ===
ragel (6.10-5) unstable; urgency=medium

  * Apply X-Style: black
  * Set Standards-Version: 4.7.2
  * d/watch: remove, upstream site 404s

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 10 Mar 2025 23:44:28 +0100

ragel (6.10-4) unstable; urgency=medium

  * d/control: Add Homepage
  * d/control: Point Vcs-* to salsa
  * Adopt package (Closes: #994643)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 20 Dec 2022 01:17:38 +0000

ragel (6.10-3) unstable; urgency=medium

  * QA upload.
  * debian/rules: Switch to using dh. (Closes: #1010781)
  * debian/copyright: Reference GPL-2 in common-licenses.
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/rules: Build and install ragel-guide.pdf. (Closes: #874192)
  * debian/control: Update Build-Depends to use fig2dev instead of
    transfig.
  * debian/control: Update Standards-Version to 4.6.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 10 May 2022 11:05:59 -0700

ragel (6.10-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group.
  * Fix clean target.
  * Switch to 3.0 (quilt). Closes: #1007070
  * Do not try to install manpage "doc/rlgen-*.1". Does not exist anymore.
  * Bump debian/compat to 13. Tested that bit-by-bit identical packages are
    generated.

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 10 Mar 2022 22:23:03 +0000

ragel (6.10-1) unstable; urgency=medium

  * New upstream release
  * Mark as MultiArch: foreign (closes: #883485)
  * Switch to current standards-version and debhelper
  * Remove (broken) makefiles from examples, making the build reproducible
    (closes: #868772)

 -- Robert Lemmen <robertle@semistable.com>  Wed, 28 Feb 2018 17:03:38 +0100

ragel (6.9-1) unstable; urgency=medium

  * New upstream release
  * Update watch file (closes: #796793)
  * Smallish lintian-cleanups
  * Bumped standards-version

 -- Robert Lemmen <robertle@semistable.com>  Tue, 14 Jun 2016 21:24:47 +0100

ragel (6.8-1) unstable; urgency=low

  * New upstream release
  * Clean up some lintian warnings
  * Included patch for vim-addons, thanks! (closes: #661804)

 -- Robert Lemmen <robertle@semistable.com>  Sun, 02 Jun 2013 19:57:19 +0100

ragel (6.7-1) unstable; urgency=low

  * New upstream release (closes: #633488)
  * Install vim syntax file in correct location (closes: #633487)
  * Upped policy version

 -- Robert Lemmen <robertle@semistable.com>  Wed, 02 Nov 2011 19:30:33 +0000

ragel (6.6-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Tue, 05 Jan 2010 15:16:17 +0000

ragel (6.5-1) unstable; urgency=low

  * New upstream release
  * Bumped standards version

 -- Robert Lemmen <robertle@semistable.com>  Thu, 17 Sep 2009 19:59:27 +0100

ragel (6.3-2) unstable; urgency=low

  * Removed pre-built pdfs
  * Upped debhelper version

 -- Robert Lemmen <robertle@semistable.com>  Mon, 29 Jun 2009 16:45:45 +0100

ragel (6.3-1) unstable; urgency=low

  * New upstream release (closes: #502931)
  * updated description (closes: #494147)

 -- Robert Lemmen <robertle@semistable.com>  Wed, 22 Oct 2008 20:01:12 +0100

ragel (6.2-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Wed, 18 Jun 2008 19:05:03 +0100

ragel (6.1-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Thu,  8 May 2008 22:55:27 +0100

ragel (6.0-3) unstable; urgency=low

  * Added workaround for tetex transition

 -- Robert Lemmen <robertle@semistable.com>  Wed,  5 Mar 2008 11:38:54 +0000

ragel (6.0-2) unstable; urgency=low

  * Chnages the gs-gpl dependency to ghostscript (ghostscript transisiton)
  * Hacked my way around #457568

 -- Robert Lemmen <robertle@semistable.com>  Tue,  4 Mar 2008 13:58:16 +0000

ragel (6.0-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Fri, 29 Feb 2008 10:02:02 +0000

ragel (5.23-3) unstable; urgency=low

  * Dependency changed from gs to gs-gpl

 -- Robert Lemmen <robertle@semistable.com>  Wed, 17 Oct 2007 12:45:26 +0200

ragel (5.23-2) unstable; urgency=low

  * Depend on gs to make ragel build on all architectures (closes: #443294)

 -- Robert Lemmen <robertle@semistable.com>  Fri, 21 Sep 2007 14:54:37 +0200

ragel (5.23-1) unstable; urgency=low

  * New upstream release
  * Is now handling the nostrip build option correctly (closes: #437904)

 -- Robert Lemmen <robertle@semistable.com>  Fri, 14 Sep 2007 13:31:55 +0200

ragel (5.16-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Mon,  4 Dec 2006 20:50:15 +0100

ragel (5.14-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Thu,  5 Oct 2006 21:53:18 +0200

ragel (5.10-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Tue,  8 Aug 2006 14:56:03 +0200

ragel (5.9-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Thu, 20 Jul 2006 16:39:43 +0200

ragel (5.7-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Tue, 16 May 2006 00:07:18 +0200

ragel (5.6-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Sun, 16 Apr 2006 14:09:28 +0200

ragel (5.5-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Wed, 29 Mar 2006 15:30:28 +0200

ragel (5.4-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Thu, 23 Mar 2006 11:03:46 +0100

ragel (5.3-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Tue, 31 Jan 2006 09:44:16 +0100

ragel (5.1-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Thu, 22 Dec 2005 11:14:51 +0100

ragel (4.2-2) unstable; urgency=low

  * Dropped dependency on dvips (closes: #337451)



=== debian/control ===
Source: ragel
Section: devel
Priority: optional
Maintainer: Chris Hofstaedtler <zeha@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 bison,
 fig2dev,
 flex,
 ghostscript,
 gobjc,
 gperf,
 sharutils,
 texlive,
 texlive-latex-extra,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/adrian-thurston/ragel
Vcs-Git: https://salsa.debian.org/debian/ragel.git
Vcs-Browser: https://salsa.debian.org/debian/ragel.git
X-Style: black

Package: ragel
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: compiles finite state machines into code in various languages
 Ragel compiles finite state machines from regular languages into C, C++,
 Objective-C, D, Ruby or Java code. Ragel allows the programmer to embed
 actions at any point in a regular language. Non-determinism can be
 controlled through the use of embedded priorities and guarded regular
 language operators. Ragel also supports the construction of scanners and
 the building of state machines using state-charts. Ragel can be used to
 create robust recognizers and parsers which run very fast. It can work
 with integer-sized alphabets and can compile large state machines.
 The generated code has no dependencies.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-manual

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=doc

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build-stamp Makefile config.log config.status test/Makefile test/runtests aapl/Makefile contrib/Makefile doc/Makefile doc/ragel.1 ragel/.deps ragel/Makefile ragel/config.h ragel/stamp-h1 doc/ragel-guide.pdf

override_dh_install:
	dh_install
	dh_install ragel.vim /usr/share/vim/addons/syntax/
	dh_install debian/ragel.yaml /usr/share/vim/registry/

override_dh_installexamples:
	make -C $(CURDIR)/examples distclean
	dh_installexamples

override_dh_installdocs:
	dh_installdocs -n
	dh_installdocs -n doc/ragel-guide.pdf

override_dh_compress:
	dh_compress -Xexamples
